# Class LookupFactory

java.lang.Object
org.apache.naming.factory.LookupFactory

All Implemented Interfaces:
  `ObjectFactory`

public class LookupFactory extends Object implements ObjectFactory
Object factory for lookups.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LookupFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)`
  Create a new Resource env instance.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LookupFactory

    public LookupFactory()

- ## Method Details

  - ### getObjectInstance

    public Object getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment) throws Exception
    Create a new Resource env instance.
    Specified by:
      `getObjectInstance` in interface `ObjectFactory`
    Parameters:
      `obj` - The reference object describing the DataSource
      `name` - the bound name
      `nameCtx` - unused
      `environment` - unused
    Returns:
      the object instance
    Throws:
      `Exception` - if an error occur creating the instance